Bug 502890 - No sound over hdmi (Intel G33)
Summary: No sound over hdmi (Intel G33)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-27 16:13 UTC by Mike McLean
Modified: 2010-06-28 12:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 12:43:41 UTC


Attachments (Terms of Use)
alsa info (29.30 KB, text/plain)
2009-05-27 16:14 UTC, Mike McLean
no flags Details

Description Mike McLean 2009-05-27 16:13:25 UTC
Description of problem:
Analog sound works, but when I switch to an hdmi profile I get nothing, not even with the tv volume cranked absurdly high.

Version-Release number of selected component (if applicable):
current f11 rawhide


How reproducible:
kernel-2.6.29.3-155.fc11.x86_64
pulseaudio-0.9.15-11.fc11.x86_64

Comment 1 Mike McLean 2009-05-27 16:14:05 UTC
Created attachment 345638 [details]
alsa info

Comment 2 Mike McLean 2009-05-29 03:42:25 UTC
I was able to solve my problem with:

options snd_hda_intel model=3stack-6ch

Comment 3 Lennart Poettering 2009-05-29 11:03:27 UTC
This needs a quirk entry in the HDA driver I guess. reassigning to kernel.

Comment 4 Mike McLean 2009-05-29 13:46:11 UTC
I'm not sure if 3stack-6ch is actually correct, but it works for hdmi at least. The box has 2 front + 5 back + spdif outputs, but none of the 6stack models I tried worked out.

http://thread.gmane.org/gmane.linux.alsa.devel/50380

Comment 5 Bug Zapper 2009-06-09 16:39:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-04-27 14:32:42 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-06-28 12:43:41 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.